#!/bin/sh

# updateKernel.sh

usage() {
	echo "usage: $1 <uImage with DTB>"
}

IMG_FILE="$1"
MTD_NUM=8

if [ "$IMG_FILE" = "" ]
then
	usage $0
	exit 1
fi

if ! [ -f "$IMG_FILE" ]
then
	echo "Datei $IMG_FILE nicht gefunden!"
	exit 1
fi


if ! flash_erase /dev/mtd${MTD_NUM} 0 0
then
	echo "flash_erase /dev/mtd${MTD_NUM} fehlgeschlagen"
	exit 1
else
	echo "/dev/mtd${MTD_NUM} geloescht."
fi

if ! nandwrite -p /dev/mtd${MTD_NUM} ${IMG_FILE}
then
	echo "nandwrite fuer ${IMG_FILE} auf /dev/mtd${MTD_NUM}"
	exit 2
else
	echo "${IMG_FILE} auf /dev/mtd${MTD_NUM} geschrieben."
fi


